package fr.monkhanny.dorfromantik.enums;


public enum Images {
  SETTINGS_ICON, EXIT_ICON, TUTORIAL_GIF1, TUTORIAL_GIF2, TUTORIAL_GIF3, TUTORIAL_GIF4;

  public String getImagePath() {
    switch (this) {
        case SETTINGS_ICON:
            return "./ressources/images/Icone/SettingsIcon.png";
        case EXIT_ICON:
            return "./ressources/images/Icone/ExitIcon.png";
        case TUTORIAL_GIF1:
            return "./ressources/images/Tutorial/Gif1.gif";
        case TUTORIAL_GIF2:
            return "./ressources/images/Tutorial/Gif2.gif";
        case TUTORIAL_GIF3:
            return "./ressources/images/Tutorial/Gif3.gif";
        case TUTORIAL_GIF4:
            return "./ressources/images/Tutorial/Gif4.gif";
      default:
        throw new IllegalArgumentException("Unexpected value: " + this);
    }
  }
}